using System;
using Valg.EVA.Skanning.ServicesModel.ServiceContracts.Verification.Write;
using Prism.Commands;

namespace Valg.EVA.Skanning.Verify.Startup.BoxIsLocked
{
    public interface IVerificationProcessErrorsAndWarnings
    {
        void ShowCannotChangeBallotWhenBoxIsLockedInformation();
        void ShowBoxIsLockedOrDeletedInformation();
        void ShowErrorWhenAttemptingToLoadABallotPaper(Exception exception);
        void ShowBallotIsUnknownInformation();
        void ShowCannotChangeInformation(SaveBallotPaperVerificationsOperationResult saveBallotPaperVerificationsOperationResult);
        void ShowCannotSaveBallotPaperVerificationsWhenIncomplete(DelegateCommand confirmCommand);
    }
}
